%define	upstream_name	 ExtUtils-ParseXS
%define upstream_version 3.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Converts Perl XS code into C code 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.460.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-CBuilder
BuildArch:  noarch

%description
ExtUtils::ParseXS will compile XS code into C code by embedding the constructs
necessary to let C functions manipulate Perl values and creates the glue
necessary to let Perl access those functions.  The compiler uses typemaps to
determine how to map C function parameters and variables to Perl values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install
mv %{buildroot}/%{_bindir}/xsubpp        %{buildroot}/%{_bindir}/xsubpp.%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/xsubpp.1 %{buildroot}/%{_mandir}/man1/xsubpp.%{upstream_version}.1

%files 
%doc Changes INSTALL META.yml MYMETA.yml README
%{perl_vendorlib}/ExtUtils
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.300.0-3.mga6
+ Revision: 1027215
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 3.300.0-2.mga6
+ Revision: 969635
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 3.300.0-1.mga6
+ Revision: 873491
- update to 3.30

* Wed Oct 15 2014 umeabot <umeabot> 3.240.0-3.mga5
+ Revision: 742917
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.240.0-2.mga5
+ Revision: 684688
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 3.240.0-1.mga5
+ Revision: 602911
- update to 3.24

* Mon Feb 10 2014 jquelin <jquelin> 3.220.0-3.mga5
+ Revision: 587946
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 3.220.0-2.mga4
+ Revision: 533445
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 sander85 <sander85> 3.220.0-1.mga4
+ Revision: 473271
- update to 3.22

* Mon Aug 12 2013 sander85 <sander85> 3.210.0-1.mga4
+ Revision: 465669
- update to 3.21

* Wed Mar 27 2013 jquelin <jquelin> 3.180.0-3.mga3
+ Revision: 405482
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.180.0-2.mga3
+ Revision: 367047
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 3.180.0-1.mga3
+ Revision: 341879
- update to 3.18

* Thu Feb 23 2012 jquelin <jquelin> 3.150.0-1.mga2
+ Revision: 212873
- update to 3.15

* Wed Jan 04 2012 jquelin <jquelin> 3.110.0-1.mga2
+ Revision: 190542
- update to 3.11

* Fri Dec 09 2011 kharec <kharec> 3.70.0-1.mga2
+ Revision: 179426
- update to 3.07

* Wed Dec 07 2011 kharec <kharec> 3.60.0-1.mga2
+ Revision: 178218
- update to 3.06

* Fri Nov 04 2011 jquelin <jquelin> 3.50.0-2.mga2
+ Revision: 162809
- take priority over module bundled with perl 5.14.2

* Thu Oct 13 2011 jquelin <jquelin> 3.50.0-1.mga2
+ Revision: 154254
- update to 3.05
- rename /usr/bin script to prevent conflict with perl-devel
- update to 3.04

* Fri Feb 18 2011 jquelin <jquelin> 2.220.600-5.mga1
+ Revision: 53610
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 2.220.600-4.mga1
+ Revision: 24230
- fix specs
- imported package perl-ExtUtils-ParseXS


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.600-4mdv2011.0
+ Revision: 597096
- rebuild

* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.600-3mdv2011.0
+ Revision: 562424
- rebuild

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.600-2mdv2011.0
+ Revision: 556438
- rebuild for perl 5.12

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.600-1mdv2011.0
+ Revision: 551220
- update to 2.2206

* Thu Mar 11 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.500-1mdv2010.1
+ Revision: 518075
- update to 2.2205

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.300-1mdv2010.1
+ Revision: 504487
- update to 2.2203

* Fri Jan 29 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.200-1mdv2010.1
+ Revision: 497904
- update to 2.2202

* Wed Jan 27 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.100-1mdv2010.1
+ Revision: 496996
- update to 2.2201

* Tue Jan 12 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.0-1mdv2010.1
+ Revision: 490072
- update to 2.22

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 2.210.0-1mdv2010.1
+ Revision: 460725
- update to 2.21

* Tue Sep 15 2009 Jérôme Quelin <jquelin@mandriva.org> 2.200.401-1mdv2010.0
+ Revision: 442938
- update to 2.200401

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 2.200.200-1mdv2010.0
+ Revision: 398840
- update to 2.2002

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 2.200.0-1mdv2010.0
+ Revision: 395036
- adding missing buildrequires
- update to 2.20
- using %%perl_convert_version
- fixed license field

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.19-2mdv2009.0
+ Revision: 223716
- rebuild

* Mon Feb 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.19-1mdv2008.1
+ Revision: 170116
- update to new version 2.19

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.18-1mdv2008.0
+ Revision: 20079
- 2.18


* Tue Oct 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.16-1mdv2007.0
+ Revision: 71730
+ Status: not released
- 2.16
- Import perl-ExtUtils-ParseXS

* Tue Oct 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.15-1mdk
- 2.15

* Tue Oct 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.14-2mdk
- Fix BuildRequires

* Tue Oct 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.14-1mdk
- New release 2.14

* Fri Oct 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.13-1mdk
- New release 2.13

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdk
- new version
- fix source url
- better url
- better summary
- fix directory ownership
- spec cleanup
- enable tests
- fix buildrequires
- better description

* Wed Jun 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.11-1mdk
- 2.11

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.10-1mdk
- 2.10

* Thu Mar 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.09-1mdk
- 2.09

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.08-1mdk
- 2.08

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.07-1mdk
- 2.07

